Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061036 - chrony spec should use _hardened_build
Summary: chrony spec should use _hardened_build
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: chrony
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: Jakub Prokes
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 09:49 UTC by Miroslav Lichvar
Modified: 2014-06-18 03:50 UTC (History)
2 users (show)

Fixed In Version: chrony-1.29.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-27 13:26:19 UTC


Attachments (Terms of Use)

Description Miroslav Lichvar 2014-02-04 09:49:46 UTC
Description of problem:
The chrony spec files adds the hardening compiler options explicitly to CFLAGS and LDFLAGS. Per current guidelines, it should be done by setting "_hardened_build 1" in the spec.

https://fedoraproject.org/wiki/Packaging:Guidelines#PIE

Version-Release number of selected component (if applicable):
chrony-1.29-4.el7

How reproducible:


Note You need to log in before you can comment on or make changes to this bug.